/* =========================================================================

     Project      :   CM40z
     File         :   adi_ecc.h
     Description  :   Security Header defines

     Date         :   02-11-2015


     Copyright (c) 2015 Analog Devices, Inc.  All Rights Reserved.
     This software is proprietary and confidential to Analog Devices, Inc. and
     its licensors.

   ========================================================================= */

#ifndef __ADI_ECC_H__
#define __ADI_ECC_H__

/*
  SECURITY HEADER DEFINES
  The macro names defined in this file may not be changed; only their values.
  They are used by system startup file (startup.c) to initialize the security
  header data built into the target application which is verified at boot time
  by the boot ROM.  These macros are parsed by stand-alone executable:
  EccGen.exe, provided in the tool directory of this release.  The EccGen
  executable takes this named file as input to verify and regenerate (as needed)
  the ECC values by rewriting this file.  The computed ECC values are based on
  all the other security fields, and hence, the macro names are invariant.
  The EccGen executable need only be run to update the ECC codes when security
  header changes are made.  Failure to provide valid ECC values or regenrate
  them after user key changes will result in the boot ROM denying access to the
  part.

  DO NOT CHANGE THE MACROS NAMES DEFINED IN THIS FILE
*/

/* define security header contents (12 32-bit constants) */
#define ADI_SECURITY_SIGNATURE0     0x16c80dbd
#define ADI_SECURITY_RESERVED0      0xffffffff
#define ADI_SECURITY_USER_KEY0      0xa4b8e4a5
#define ADI_SECURITY_USER_KEY1      0xd2041dd7
#define ADI_SECURITY_USER_KEY2      0x18839df8
#define ADI_SECURITY_USER_KEY3      0x8392c1fe
#define ADI_SECURITY_BOOT_FLAGS     0x00000000
#define ADI_SECURITY_IVT_ADDRESS    0x18001000
#define ADI_SECURITY_ECC0           0x138ae1c7
#define ADI_SECURITY_ECC1           0xffffffc2
#define ADI_SECURITY_SIGNATURE1     0xa4287f8a
#define ADI_SECURITY_SIGNATURE2     0x14b234f2

#endif /* __ADI_ECC_H__ */
