/*******************************************************************************
 *
 * Copyright(c) 2011 Analog Devices, Inc. All Rights Reserved.
 *
 * This software is proprietary and confidential.  By using this software you
 * agree to the terms of the associated Analog Devices License Agreement.
 *
 ******************************************************************************/
#ifndef __LWIP_IFCE_H__
#define __LWIP_IFCE_H__

#ifdef _MISRA_RULES
#pragma diag(push)
#pragma diag(suppress:misra_rules_all:"suppress all misra rules for lwip headers")
#endif

#include <sys/exception.h>
#include <drivers/ethernet/adi_ether.h>
#include <lwip/cc.h>

#ifdef __cplusplus
extern "C" {
#endif

typedef struct net_config_info {
                                   int   imask;
                                   short rx_buffs;
                                   short tx_buffs;
                                   short rx_buff_datalen;
                                   short tx_buff_datalen;
                                   short buff_area;
                                   short buff_area_size;
                                   short use_dhcp;
                                   unsigned char mac_addr[6];
                                   int ipaddr;
                                   int netmask;
                                   int gateway;
                               } net_config_info;

extern struct net_config_info user_net_config_info[];

int  adi_lwip_Initstack(const unsigned int buffer_length,char *buffer_start);
int  adi_lwip_Startstack(void);
int  adi_lwip_Stopstack(void);
int  adi_lwip_Setdrvhandles(int num_services,ADI_ETHER_HANDLE *pdd_handles);
void adi_lwip_Stackcallback(void *arg1,unsigned int event,void* pack_list);

int GetSocketError(void);

int gethostaddr(int nwifce_no,char *host_addr);
int sethostaddr(int nwifce_no,char *host_addr);
#ifdef __cplusplus
}
#endif

/* enable misra rules */
#ifdef _MISRA_RULES
#pragma diag(pop)
#endif 

#endif /* __LWIP_IFCE_H__ */
