/*********************************************************************************

Copyright(c) 2011 Analog Devices, Inc. All Rights Reserved.

This software is proprietary and confidential.  By using this software you agree
to the terms of the associated Analog Devices License Agreement.

*********************************************************************************/

/*!
 * @file:    adi_mdma_streams_bf40z.h
 * @brief:   Memory DMA Stream ID definitions for ADSP-CM40z processor family
 * @version: $Revision: 28923 $
 * @date:    $Date: 2014-12-03 07:40:57 -0500 (Wed, 03 Dec 2014) $
 *
 * @details
 *           This is an additional header file for the Memory DMA Manager service of
 *           ADSP-CM40z processor family, which contains the Memory DMA Stream ID
 *           definitions used in the APIs
 */

#ifndef __ADI_MDMA_STREAMS_CM40Z_H__
#define __ADI_MDMA_STREAMS_CM40Z_H__

/*==============  D E F I N E S  ===============*/

/* CM40Z Channel IDs */
#if defined(ADI_ADSP_CM40Z )

/** @ingroup MDMA_Manager
 * Memory DMA Stream IDs for ADSP-CM40z processor family
 */

typedef enum
{
    ADI_DMA_MEMDMA_S0,        /*!< Memory DMA Stream 0 */
    ADI_DMA_MEMDMA_S1,        /*!< Memory DMA Stream 1 */

    ADI_DMA_MEMDMA_END_COUNT  /* Number of Memory DMA Streams */

} ADI_DMA_STREAM_ID;

#endif  /* ADI_ADSP_CM40Z  */

#endif  /* __ADI_MDMA_STREAMS_CM40Z_H__ */

/*****/

/*@}*/

