/*********************************************************************************

Copyright(c) 2013 Analog Devices, Inc. All Rights Reserved.

This software is proprietary and confidential.  By using this software you agree
to the terms of the associated Analog Devices License Agreement.

*********************************************************************************/

/** @addtogroup Power_Service Dynamic Power Management Service
 *  @{
 *
 */

/*!
 * @file    adi_pwr.h
 * @brief   Dynamic Power Management service definitions
 * @version $Revision: 31822 $
 * @date    $Date: 2015-07-26 11:08:12 -0400 (Sun, 26 Jul 2015) $
 *
 * @details
 *            This is the primary header file for the Dynamic Power Management service,
 *            which contains the API declarations, data and constant definitions used in the APIs
 */

#ifndef __ADI_PWR_H__
#define __ADI_PWR_H__

#include <sys/platform.h>
#include <services/int/adi_int.h>

/* Power service includes */
#if defined (__ADSPBF609_FAMILY__) || \
    defined(ADI_ADSP_CM40Z)     
#include "adi_pwr_bf60x.h"

#elif defined(__ADSPSC589_FAMILY__) || \
      defined(__ADSPBF707_FAMILY__) || \
      defined(ADI_ADSP_CM41X)  
#include "adi_pwr_v2.h"

#elif defined (__ADSPBLACKFIN__) && !defined(__ADSPBF60x__)

#include "adi_pwr_bf5xx.h"

#else
#error "Unknown processor family"
#endif

#endif /* __ADI_PWR_H__ */

/*@}*/
