/** @addtogroup Watchdog_Service Watchdog Timer Service
*  @{
*/

/*!****************************************************************************
 * @file    adi_wd.h
 * @brief   Primary include file for Analog Devices Watchdog Service
 * @version $Revision: 28915 $
 * @date    $Date: 2014-12-03 05:12:36 -0500 (Wed, 03 Dec 2014) $
 *-----------------------------------------------------------------------------

Copyright (c), 2014 - Analog Devices Inc. All Rights Reserved.
This software is proprietary & confidential to Analog Devices, Inc.
and its licensors.

*****************************************************************************/

#ifndef __ADI_WD_H__
#define __ADI_WD_H__

/*=============  I N C L U D E S   =============*/

#include <sys/platform.h>

/* ADSP-BF60x or ADSP-CM40z or ADSP-BF70x or ADSP-SC58x Processor family */
#if defined (__ADSPBF609_FAMILY__) || \
    defined(ADI_ADSP_CM40Z)        || \
    defined (__ADSPBF707_FAMILY__) || \
    defined(__ADSPSC589_FAMILY__)

/* Watchdog service includes */
#include "adi_wd_bf6xx.h"

/* ADSP-BF5xx processor family */
#elif defined (__ADSPBLACKFIN__) && !defined(__ADSPBF60x__)

#include "adi_wd_bf5xx.h"

#else
#error "Unknown processor family"
#endif

#endif  /* __ADI_WD_H__ */
/*@}*/
