/*********************************************************************************

Copyright(c) 2015 Analog Devices, Inc. All Rights Reserved.

This software is proprietary and confidential.  By using this software you agree
to the terms of the associated Analog Devices License Agreement.

*********************************************************************************/
/*!
 * @file      adi_cpt_data_cm40z.c
 * @version: $Revision: 31408 $
 * @date:    $Date: 2015-06-11 14:00:16 -0400 (Thu, 11 Jun 2015) $
 *
 * @brief     This source file contains Capture Timer data definitions specific 
 *            to the ADSP-CM40z.
 *
 */

/* Pointer to CPT common registers */
volatile ADI_CPT_COMMON_REGS *const gCPTCommonRegs = (volatile ADI_CPT_COMMON_REGS *) REG_CPTMR0_RUN;

ADI_CPT_DEVICE gCPTDevices[]   =
{
    /* CPTMR 0 */
    {
        0u,                                                    /* CPTMR ID */
        (volatile ADI_CPT_REGS *)REG_CPTMR0_CFG0,              /* CPTMR0 register address */
        (uint32_t)CPT0_ERR_IRQn,                               /* CPTMR0 Status interrupt ID */
        (uint32_t)CPT0_MEAS_IRQn,                              /* CPTMR0 Data interrupt ID */
        NULL                                                   /* Pointer to timer instance Data */
    },
    /* CPTMR 1 */
    {
        1u,                                                    /* CPTMR ID */
        (volatile ADI_CPT_REGS *)REG_CPTMR0_CFG1,              /* CPTMR1 register address */
        (uint32_t)CPT1_ERR_IRQn,                               /* CPTMR1 Status interrupt ID */
        (uint32_t)CPT1_MEAS_IRQn,                              /* CPTMR1 Data interrupt ID */
        NULL                                                   /* Pointer to timer instance Data */
    },
    /* CPTMR 2 */
    {
        2u,                                                    /* CPTMR ID */
        (volatile ADI_CPT_REGS *)REG_CPTMR0_CFG2,              /* CPTMR2 register address */
        (uint32_t)CPT2_ERR_IRQn,                               /* CPTMR2 Status interrupt ID */
        (uint32_t)CPT2_MEAS_IRQn,                              /* CPTMR2 Data interrupt ID */
        NULL                                                   /* Pointer to timer instance Data */
    }    
};
