/*==============================================================================
    FILE:           main.c

    DESCRIPTION:

    Copyright (c) 2017 Closed Loop Design, LLC

    This software is supplied "AS IS" without any warranties, express, implied
    or statutory, including but not limited to the implied warranties of fitness
    for purpose, satisfactory quality and non-infringement. Closed Loop Design LLC
    extends you a royalty-free right to reproduce and distribute executable files
    created using this software for use on Analog Devices Blackfin family
    processors only. Nothing else gives you the right to use this software.

==============================================================================*/
#include <services/int/adi_int.h>

#include "user_bulk.h"
#include "system.h"
#include "PWR_Freq_Mode.h"

typedef enum
{
    MAIN_STATE_USER_INIT,
    MAIN_STATE_RUN,
    MAIN_STATE_ERROR
} Main_States;


void main(void)
{
    Main_States main_state = MAIN_STATE_USER_INIT;
    User_Bulk_Init_Return_Code rv;
    SystemInit();
    power_init();

    while (1)
    {
        switch (main_state)
        {
            case MAIN_STATE_USER_INIT:
                rv = user_bulk_init();
                if (rv == USER_BULK_INIT_SUCCESS)
                {
                    main_state = MAIN_STATE_RUN;
                }
                else if (rv == USER_BULK_INIT_FAILED)
                {
                    main_state = MAIN_STATE_ERROR;
                }
            break;

            case MAIN_STATE_RUN:

            break;

            case MAIN_STATE_ERROR:

            break;
        }
    }
}
